<p style="white-space: pre-wrap;" id='sammlung_{{rand}}'></p>

{% if placeholder is not null %}
<p class="d-none" id="no_data_sammlung_{{rand}}">{{placeholder}}</p>
{% endif %}

<script>
    // Einmaliger Aufruf, um zuvor gespeicherten Inhalt des Textfelds/der Textbox in Sammlung anzuzeigen
    jQuery(document).ready(function(){
        // input (type=text)
        if(jQuery("[data-formid = '{{formid}}']").find('input[type="text"]').length>0){
            var fieldText = jQuery("[data-formid = '{{formid}}']").find('input[type="text"]').val();
        }
        // textarea
        else if(jQuery("[data-formid = '{{formid}}']").find('textarea').length>0){
            var fieldText = jQuery("[data-formid = '{{formid}}']").find('textarea').val();
        }

        if(fieldText.trim() != ""){
            jQuery('#sammlung_{{rand}}').text(fieldText);
        }
        else{
            jQuery('#sammlung_{{rand}}').addClass('d-none');
            {% if placeholder is not null %}
            jQuery('#no_data_sammlung_{{rand}}').removeClass('d-none');
            {% endif %}
            jQuery('#sammlung_{{rand}}').text(fieldText);
        }
        
    });

    jQuery("[data-formid = '{{formid}}']").on('keyup', function(e){
        // input (type=text)
        if(jQuery("[data-formid = '{{formid}}']").find('input[type="text"]').length>0){
            var fieldText = jQuery("[data-formid = '{{formid}}']").find('input[type="text"]').val();
        }
        // textarea
        else if(jQuery("[data-formid = '{{formid}}']").find('textarea').length>0){
            var fieldText = jQuery("[data-formid = '{{formid}}']").find('textarea').val();
        }

        if(fieldText.trim() != ""){
            jQuery('#sammlung_{{rand}}').removeClass('d-none');
            {% if placeholder is not null %}
            jQuery('#no_data_sammlung_{{rand}}').addClass('d-none');
            {% endif %}
            jQuery('#sammlung_{{rand}}').text(fieldText);
        }
        else{
            jQuery('#sammlung_{{rand}}').addClass('d-none');
            {% if placeholder is not null %}
            jQuery('#no_data_sammlung_{{rand}}').removeClass('d-none');
            {% endif %}
            jQuery('#sammlung_{{rand}}').text(fieldText);
        }
    });
</script>